{
    "fields": [
        {
            "doc": "Feature Type",
            "name": "featureType",
            "type": {
                "name": "FeatureTypes",
                "symbols": [
                    "RegulatoryRegion",
                    "Gene",
                    "Transcript"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Transcript used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)",
            "name": "ensemblId",
            "type": "string"
        },
        {
            "doc": "This field is optional, BUT it should be filled if possible",
            "name": "HGNC",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Others IDs",
            "name": "other_ids",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        }
    ],
    "name": "GenomicFeature",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}